<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EstimateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
		return [
			'customer_id' => 'required|numeric',
			'property_id' => 'required|numeric',
			'date' => 'required|date',
			'expiration_date' => 'required|date',
			'send_to' => 'required|email',
			'amount' => 'required|numeric',
			'discount' => 'required|numeric'
		];
    }
	
	public function response(array $errors)
	{
		return response()->json([
				'title' => 'Estimate',
				'message' => 'Check the required fields and try again.',
				'errors' => $errors
			], 422);
	}
	
}
